/**
 * mui.common.js 
 * an mui extension
 * @version v1.0
 */
//function getToken() {
//  var http0 = window.location.href;
//  if(http0.indexOf("?") > 0) {
//      //截取问号后的内容
//      var http1 = http0.substring(http0.indexOf("?"), http0.length - 1);
//      //截取等号后的内容
//      var http2 = http1.substring(http1.indexOf("="), http1.length - 1);
//      var pattern = "=";
//      var token = http2.replace(new RegExp(pattern), "");
//      localStorage.setItem("token", token);
//  } else {
//      var token = "7F8A65834C9B4D66ACFA9536273EE9FB";
//      localStorage.setItem("token", token);
//  }
//}
(function($, owner) {
	/**
	 * 配置信息
	 */
	owner.setting = {
		alertWithTitle: true, //警告弹出框是否有标题
	};

	/**
	 * 保存登录信息
	 * @param {Object} info
	 */
	owner.saveUserInfo = function(info) {
		info = info || {};
		localStorage.setItem('$user', JSON.stringify(info));
	};

	/**
	 * 获取登录信息
	 */
	owner.getUserInfo = function() {
		return JSON.parse(localStorage.getItem('$user') || '{}');
	};

	/**
	 * 检查登录状态
	 */
	owner.checkLoginStatus = function() {
		var uinfo = owner.getUserInfo();
		if(/^[0-9]{1,}$/.test(uinfo.uid) && uinfo.token != "") {
			return true;
		} else {
			return false;
		}
	};

	/**
	 * 用户登录
	 * @param {Object} loginInfo
	 * @param {Function} loginCallback
	 */
	owner.login = function(loginInfo, loginCallback) {
		loginInfo = loginInfo || {};
		loginInfo.url = loginInfo.url || '';
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(!loginInfo.url) {
			owner.toast("请先配置接口地址");
		}
		var accountPatrn = /^[a-zA-Z0-9_-]{3,16}$/;
		if(!accountPatrn.test(loginInfo.account)) {
			return callback('用户名为3至16个英文或数字');
		}
		var passwordPatrn = /^[a-zA-Z0-9_-]{6,18}$/;
		if(!passwordPatrn.test(loginInfo.password)) {
			return callback('密码为6至18位的英文或数字');
		}
		var data = {
			account: loginInfo.account,
			password: loginInfo.password
		};
		if(typeof loginCallback == 'undefined') {
			owner.toast("请先设置成功回调函数");
		}
		owner.ajaxGetPostRequest(loginInfo.url, data, loginCallback, 'post');
	};
	/**
	 * ajaxGet请求
	 * @param {String} url 链接
	 * @param {Object} data 数据
	 * @param {Function} callback 回调函数
	 * @param {String} type 请求类型：get/post
	 * @param {Int} retry 重试次数
	 */
	owner.ajaxGet = function(url, data, callback, callErr) {
		owner.ajaxGetPostRequest(url, data, callback, 'get', 1, callErr);
	};

	/**
	 * ajaxPost请求
	 * @param {String} url 链接
	 * @param {Object} data 数据
	 * @param {Function} callback 回调函数
	 * @param {String} type 请求类型：get/post
	 * @param {Int} retry 重试次数
	 */
	owner.ajaxPost = function(url, data, callback, callErr) {
		owner.ajaxGetPostRequest(url, data, callback, 'post', 1, callErr);
	};
	owner.ajaxPost1 = function(url, data, callback, callErr) {
		owner.ajaxGetPostRequest1(url, data, callback, 'post', 1, callErr);
	};
	owner.ajaxPost2 = function(url, data, callback, callErr) {
		owner.ajaxGetPostRequest2(url, data, callback, 'post', 1, callErr);
	};

	/**
	 * ajax请求
	 * @param {String} url 链接
	 * @param {Object} data 数据
	 * @param {Function} callback 回调函数
	 * @param {String} type 请求类型：get/post
	 * @param {Int} retry 重试次数
	 */
	owner.ajaxGet = function(url, data, callback, callErr) {
		owner.ajaxGetPostRequest(url, data, callback, 'get', 1, callErr);
	};
	var uniqueCode = null;
	/**
	 * ajax请求
	 * @param {String} url 链接
	 * @param {Object} data 数据
	 * @param {Function} callback 回调函数
	 * @param {String} type 请求类型：get/post
	 * @param {Int} retry 重试次数
	 */
	owner.ajaxGetPostRequest = function(url, data, callback, type, retry, callErr) {
		//todo 参数中加入deviceId, timestamp, token和sign验证，误差2分钟
		console.log("url>>>>>>>>>>>>>>>" + url);
		console.log("para:" + JSON.stringify(data));
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: type ? type : 'post',
			timeout: 10000,
			crossDomain: true,
//						headers: {
//							'channelToken': "7435CA62292449A39A8941AE7962F61A",
//							"uniqueCode": "ODYyMTIzMDM4MTk4MTQ2XzViOTg5ODQyLWY0NGMtNDdiMi1hMzBhLTQzNTkwZGY0ZTc0YV8xNTAxNTY4Mjc2Njg0",
//							"version_number": '104'
//						},
			headers: {
				'channelToken': localStorage.getItem('channelToken'),
				"uniqueCode": localStorage.getItem('uniqueCode'),
				"version_number": localStorage.getItem('version_number'),
			},
			success: function(response) {
				if(response == null || response == '') {
					console.log("server null");
				} else {
					if(response.status == "-1") {
						//						mui.toast("用户未登录");
						localStorage.setItem("uniqueCode", "");
					}
					console.log("server<<<<<<<<<<<<<" + JSON.stringify(response));
					owner.callback(response, callback);
				}
			},
			error: function(xhr, type, errorThrown) {
				if(typeof retry != 'undefined') {
					retry--;
				} else {
					retry = 0;
				}
				if(retry > 0) {
					owner.ajaxGetPostRequest(url, data, callback, type, retry);
				} else {
					console.log(owner.ajaxErrors(xhr));
					if(callErr) owner.callback(xhr, callErr);
					//console.log(xhr);
					//owner.toast(owner.ajaxErrors(xhr));
				}
			}
		});
	};
	owner.ajaxGetPostRequest1 = function(url, data, callback, type, retry, callErr) {
		//todo 参数中加入deviceId, timestamp, token和sign验证，误差2分钟
		console.log("url>>>>>>>>>>>>>>>" + url);
		console.log("para:" + JSON.stringify(data));
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: type ? type : 'post',
			timeout: 10000,
			crossDomain: true,
			contentType: "application/json",
			headers: {
				'channelToken': localStorage.getItem('channelToken'),
				"uniqueCode": localStorage.getItem('uniqueCode'),
				"version_number": localStorage.getItem('version_number'),

			},
			success: function(response) {
				if(response == null || response == '') {
					console.log("server null");
				} else {
					console.log("server<<<<<<<<<<<<<" + JSON.stringify(response));
					owner.callback(response, callback);
				}
			},
			error: function(xhr, type, errorThrown) {
				if(typeof retry != 'undefined') {} else {
					retry = 0;
				}
				if(retry > 0) {
					owner.ajaxGetPostRequest(url, data, callback, type, retry);
				} else {
					console.log(owner.ajaxErrors(xhr));
					if(callErr) owner.callback(xhr, callErr);
					//console.log(xhr);
					//owner.toast(owner.ajaxErrors(xhr));
				}
			}
		});
	};
	owner.ajaxGetPostRequest2 = function(url, data, callback, type, retry, callErr) {
		//todo 参数中加入deviceId, timestamp, token和sign验证，误差2分钟
		console.log("url>>>>>>>>>>>>>>>" + url);
		console.log("para:" + JSON.stringify(data));
		mui.ajax(url, {
			data: data,
			dataType: 'json',
			type: type ? type : 'post',
			timeout: 10000,
			crossDomain: true,
			contentType: "application/json",
			headers: {
				'channelToken': localStorage.getItem('channelToken'),
				"uniqueCode": localStorage.getItem('uniqueCode'),
				"version_number": localStorage.getItem('version_number')
			},
			success: function(response) {
				if(response == null || response == '') {
					console.log("server null");
				} else {
					console.log("server<<<<<<<<<<<<<" + JSON.stringify(response));
					owner.callback2(response, callback);
				}
			},
			error: function(xhr, type, errorThrown) {
				if(typeof retry != 'undefined') {} else {
					retry = 0;
				}
				if(retry > 0) {
					owner.ajaxGetPostRequest2(url, data, callback, type, retry);
				} else {
					console.log(owner.ajaxErrors(xhr));
					if(callErr)
						owner.callback2(xhr, callErr);
					//console.log(xhr);
					//owner.toast(owner.ajaxErrors(xhr));
				}
			}
		});
	};

	/**
	 * 统一回调函数
	 * @param {Object} response
	 * @param {Function} callbackFunc
	 */
	owner.callback = function(response, callbackFunc) {
		response = response || {};
		response.status = response.status || -2;
		if(response.status == -1 && localStorage.getItem('loginFlog') == -1) {
			localStorage.setItem('loginFlog', 1);
			//          appLogout("../login.html");
			return;
		}
		if(response.status != 1) {
			//          mui.toast(response.msg);
		}
		callbackFunc(response);
		return true;
		/**
		if(response.status < 0){
		    return false;
		}else if(response.status == 1){
		    //success
		    callbackFunc(response);
		}else{
		    //fail
		    //owner.toast(response.msg);
		}
		return false;
		*/
	};
	owner.callback2 = function(response, callbackFunc) {
		//      response = response || {};
		//      response.status = response.status || -2;
		//      //if(response.status == -1 && localStorage.getItem('loginFlog') == -1) {
		//      //  localStorage.setItem('loginFlog', 1);
		////            appLogout("../login.html");
		//          return;
		//  //  }
		//      if(response.status != 1) {
		//                      mui.toast(response.msg);
		//                      console.log(response.msg)
		//      }
		callbackFunc(response);
		return true;
		/**
		if(response.status < 0){
		    return false;
		}else if(response.status == 1){
		    //success
		    callbackFunc(response);
		}else{
		    //fail
		    //owner.toast(response.msg);
		}
		return false;
		*/
	};
	//ajax错误描述
	/**
	 * ajax错误描述
	 * @param {XmlHttpRequest} xhr
	 */
	owner.ajaxErrors = function(xhr) {
		var errorStr = "";

		if(xhr.readyState == 4 && xhr.status == 0) {
			errorStr = "!!!!!!!服务器连接异常，请稍候再试";
		} else if(xhr.readyState == 0 && xhr.status == 0) {
			//timeout
			errorStr = "!!!!!服务器连接超时，请稍候再试";
		} else if(xhr.readyState == 4 && xhr.status == 500) {
			//服务器错误
			errorStr = "!!!!!服务器错误500";
		} else if(xhr.readyState == 4 && xhr.status == 404) {
			errorStr = "资源未找到：404";
		} else {
			//errorStr = "网络连接异常，请稍候再试";
			errorStr = "!!!!!网络异常:" + xhr.readyState + "  " + xhr.status;
		}

		return errorStr;
	};

	/**
	 * 封装nativeUI toast
	 * @param {String} message
	 */
	//  owner.toast = function(message) {
	//      if(window.plus) {
	//          var options = {
	//              icon: "css/helloh5.jpg",
	//              duration: "short",
	//              align: "center",
	//              verticalAlign: "bottom",
	//          };
	//          plus.nativeUI.toast(message, options);
	//      } else {
	//
	//      }
	//
	//  };

	/**
	 * 封装nativeUI alert
	 * @param {String} title
	 * @param {String} message
	 */
	//  owner.alert = function(title, message) {
	//      if(typeof message == 'undefined') {
	//          message = title;
	//      }
	//      if(owner.setting.alertWithTitle != true) {
	//          title = "";
	//      }
	//      plus.nativeUI.alert(message, function() {
	//          // 提示对话框关闭后的回调函数
	//      }, title, "知道了");
	//  };

	/**
	 * 常用正则判断
	 * @param {String} title
	 * @param {String} message
	 */
	owner.validator = {
		isTel: function(value) {
			var patrn = /^((\+?86)|(\(\+86\)))?\d{3,4}-?\d{7,8}(-\d{3,4})?$/;
			return patrn.test($.trim(value));
		},
		isMobile: function(value) {
			var patrn = /^(13[0123456789]|147|15[012356789]|18[012356789])\d{8}$/;
			return patrn.test($.trim(value));
		},
		isUserName: function(value) {
			var patrn = /^[a-zA-Z][a-zA-Z0-9_-]{2,15}$/;
			return patrn.test($.trim(value));
		},
		isPassword: function(value) {
			var patrn = /^[a-zA-Z][a-zA-Z0-9_-]{5,17}$/;
			return patrn.test($.trim(value));
		},
		isRealName: function(value) {
			var patrn = /^[\u2E80-\u9FFF]{2,}$/;
			return patrn.test($.trim(value));
		},
		isEmail: function(value) {
			var patrn = /^[a-z\d]+(\.[a-z\d]+)*@([\da-z](-[\da-z])?)+(\.{1,2}[a-z]+)+$/;
			return patrn.test($.trim(value));
		},
		isQQ: function(value) {
			var patrn = /^[1-9]d{4,9}$/;
			return patrn.test($.trim(value));
		}
	};

	owner.open = function(url) {
		mui.openWindow({
			url: url,
			id: url,
			show: {
				duration: 300
			},
			styles: {
				popGesture: 'close'
			},
			waiting: {
				autoShow: false
			}
		})
	};

	//todo 版本更新（下载）
	//todo 上传图片
	//todo 裁剪图片、压缩图片
	//todo 日历组件
	//todo js 数据库常用操作

}(window.api = {}, mui));

function randNum(minnum, maxnum) {
	return Math.floor(minnum + Math.random() * (maxnum - minnum));
}

function getUUID() {
	return uuid(32, 16);
}
//生成uuid len代表长度 radix进制
function uuid(len, radix) {
	var chars = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz'.split('');
	var uuid = [],
		i;
	radix = radix || chars.length;

	if(len) {
		// Compact form
		for(i = 0; i < len; i++) uuid[i] = chars[0 | Math.random() * radix];
	} else {
		// rfc4122, version 4 form
		var r;

		// rfc4122 requires these characters
		uuid[8] = uuid[13] = uuid[18] = uuid[23] = '-';
		uuid[14] = '4';

		// Fill in random data.  At i==19 set the high bits of clock sequence as
		// per rfc4122, sec. 4.1.5
		for(i = 0; i < 36; i++) {
			if(!uuid[i]) {
				r = 0 | Math.random() * 16;
				uuid[i] = chars[(i == 19) ? (r & 0x3) | 0x8 : r];
			}
		}
	}

	return uuid.join('');
}

var getUrlPara = function(key) {
	var search = window.location.search.slice(1);
	if(search.length <= 0) return "";
	var paras = search.split("&");
	if(paras.length <= 0) return "";
	for(var i = 0; i < paras.length; i++) {
		var arr = paras[i].split('=');
		if(arr[0] == key) {
			return arr[1];
		}
	}
	return "";
}

/**
 * 设置默认值
 * @param {Object} obj
 * @param {Object} strPara 格式  "name-defaultName,head-defaultHead"
 */
var setDefault = function(obj, strPara) {
	if(!strPara || strPara.length <= 0) return;
	var keyValues = strPara.split(',');
	if(keyValues.length <= 0) return;
	for(var i = 0; i < keyValues.length; i++) {
		var oneKeyValueStr = keyValues[i];
		if(oneKeyValueStr.length <= 0) continue;
		var oneKeyValue = oneKeyValueStr.split("-");
		if(oneKeyValue.length != 2) continue;
		var attrKey = oneKeyValue[0];
		var attrValue = oneKeyValue[1];
		for(var ddd in obj) {
			if(ddd == attrKey && (obj[ddd] == null || obj[ddd].length <= 0)) {
				obj[ddd] = attrValue;
			}
			//alert(obj[ddd]);
		}

	}
	return obj;
}

//var appLogout = function(tourl) {
//  localStorage.setItem("uniqueCode", "");
//
//  var btnArray = ['确定'];
//  mui.confirm('登录信息已失效', '退出通知', btnArray, function(e) {
//      if(e.index == 0) {
//          //          localStorage.setItem('loginFlog',-1);
//          //退出
//          //          mui.plusReady(function() {
//          //              mui.openWindow({
//          //                  id: "login",
//          //                  url: tourl
//          //              });
//          //              setTimeout(function(){
//          //                  plus.webview.getWebviewById('main').close();
//          //              },500);
//          //
//          //          });
//      }
//  })
//
//}

function toView(id, url, showurl) {
	mui.openWindow({
		id: id,
		url: url,
		waiting: {
			autoShow: false
		},
		extras: {
			htmlUrl: showurl
		}
	});
}
/**
 * @description 判断网络状态
 */
function GetNetWorkState() {
	var NetStateStr = '未知';
	var types = {};
	types[plus.networkinfo.CONNECTION_UNKNOW] = "未知";
	types[plus.networkinfo.CONNECTION_NONE] = "未连接";
	types[plus.networkinfo.CONNECTION_ETHERNET] = "有线";
	types[plus.networkinfo.CONNECTION_WIFI] = "WiFi网络";
	types[plus.networkinfo.CONNECTION_CELL2G] = "2G";
	types[plus.networkinfo.CONNECTION_CELL3G] = "3G";
	types[plus.networkinfo.CONNECTION_CELL4G] = "4G";
	NetStateStr = types[plus.networkinfo.getCurrentType()];

	return NetStateStr;
};

/**
 * 获取 AnroidManifest.xml内的信息 
 * 例如：getAppMeta('UMENG_CHANNEL');
 */
function getAppMeta(data_Name) {
	var mobileType = "ANDROID";
	if(mui.os.ios) {
		return "ios_channel";
	}
	var PackageManager = plus.android.importClass("android.content.pm.PackageManager");
	var context = plus.android.runtimeMainActivity();
	var appInfo = plus.android.invoke(plus.android.invoke(context, 'getPackageManager'), "getApplicationInfo", plus.android.invoke(context, 'getPackageName'), PackageManager.GET_META_DATA);
	return plus.android.invoke(appInfo.plusGetAttribute('metaData'), 'getString', data_Name.toString());
}
//生成随机数供登录注册使用
function getRandom() {
	var randomNum = localStorage.getItem("randomNum");
	if(randomNum == null) {
		var max = 10000000000000;
		var min = 10000000;
		parseInt(Math.random() * (max - min + 1) + min, 10);
		randomNum = Math.floor(Math.random() * (max - min + 1) + min);
		localStorage.setItem("randomNum", randomNum);
	}
	return randomNum;
}

function getUserType() {
	//限制pc端访问
	var system = {};
	var p = navigator.platform;
	var u = navigator.userAgent;
	system.win = p.indexOf("Win") == 0;
	system.mac = p.indexOf("Mac") == 0;
	system.x11 = (p == "X11") || (p.indexOf("Linux") == 0);
	if(system.win || system.mac || system.xll) { //如果是PC转   
		if(u.indexOf('Windows Phone') > -1) { //win手机端  

		} else {
			window.location.href = "Expires.aspx?error=1";
		}
	}
}

function createBuyNum(htmlString, idString) {
	var styles = {};
	styles.background = "transparent";
	styles.bottom = "0";
	var rulePage = plus.webview.create(htmlString, idString, styles);
	plus.webview.show(rulePage);
	return false;
}

function userToken(userToken) {
	userToken = localStorage.getItem("userToken");
	if(userToken == null) {
		getRandom();
		var uuid = deviceCode = plus.device.uuid;
		var randomNum = localStorage.getItem("randomNum");
		userToken = localStorage.setItem("userToken", uuid + randomNum);
	}
	return userToken;
}

function popToView(windowId, popurl, productIdKey1) {
//	if(productIdKey1 != null && productIdKey1 != '' && productIdValue1 != null && productIdValue1 != '') {
//		localStorage.setItem(productIdKey1, productIdValue1);
//	}
	if (productIdKey1 != null) {
		mui.openWindow({
			id: windowId,
			url: popurl,
			createNew:true,
			waiting: {
				autoShow: false
			}
		});	
	} else{
		mui.openWindow({
			id: windowId,
			url: popurl,
			waiting: {
				autoShow: false
			}
		});		
	}
}

mui.plusReady(function(){});
//首页banner和发现页面活动跳转
//0是静态页面，纯展示，无功能
//1是商品专场,点击购买跳转到商品详情
//2是充值活动，点击跳转至充值
//3是转盘抽奖活动
function ACTIVITY(activityType, bannerUrl) {
	//静态页面
	if(activityType == "0") {
		console.log(bannerUrl)

		var aaaUrlArr = bannerUrl.split('=');

		var bbbUrlArr = aaaUrlArr.slice(2);

		var activityurl = bbbUrlArr.join('=');

		localStorage.setItem("bannerUrl", activityurl);
		window.parent.popToView("banner-activity", "../activity/banner-activity.html");
	}
	//动态页面
	if(activityType == "1") {
		//截取活动链接
		var activityurl = bannerUrl.substring(46);
		localStorage.setItem("bannerUrl", activityurl);
		//截取活动专场id
		//		var specialId = bannerUrl.substring(40);
		//		specialId = specialId.substring(1, 0);

		var aaaUrlArr = bannerUrl.split('?');
		var bbbUrlArr = aaaUrlArr[1].split('&');
		var cccUrlArr = bbbUrlArr[1].split('=');
		var specialId = cccUrlArr[1];

		localStorage.setItem("specialId", specialId);
		window.parent.popToView("goodsActivity", "../activity/goodsActivity.html");
	}
	if(activityType == "2") {
		//  (要获取code判断活动页面)
		//      var firstChargeId = bannerUrl.substring(35);

		var aaaUrlArr = bannerUrl.split('&');
		var bbbUrlArr = aaaUrlArr[1].split('?');
		var cccUrlArr = bbbUrlArr[0].split('=');
		var firstChargeId = cccUrlArr[1];
		if(firstChargeId == "FIRST_RECHARGE") {
			window.parent.popToView("shouchong", "../activity/shouchong.html")
		}

	}
	//转盘活动
	if(activityType == "3") {

		window.parent.popToView("turntable", "../diamond/turntable.html");
	}
	//客户端充值页面
	if(activityType == "4") {
		window.parent.popToView("pay", "../home/pay.html");
	};

	//我的红包页面

	if(activityType == "5") {
		window.parent.popToView("red-packet.html", "../mine/red-packet.html");
	};

	// 钻石页面
	if(activityType == "6") {
		window.parent.popToView("diamond-mission.html", "../diamond/diamond-mission.html");
	};

	if(activityType == "7") {

		var bannerUrlArr = bannerUrl.split('&');

		var obj = {};
		for(var i = 1; i < bannerUrlArr.length; i++) {
			var bbb = bannerUrlArr[i].split('=');
			obj[bbb[0]] = bbb[1];
		}
		console.log(obj);

		eventPointActivityType7(obj);
	};

	// 注册页面
	if(activityType == "8") {
		window.parent.popToView("register.html", "../login/register.html");
	};

	// 商品详情
	if(activityType == "9") {
 		window.parent.popToView("detail.html", "../home/detail.html");		
	};
	// 去登录
	if(activityType == "10") {
		window.parent.popToView("login.html", "../login/login.html");
	};
	if(activityType == "11") {
		mui.openWindow({
			id: "main.html",
			url: "../home/main.html",
			createNew:true,
			waiting: {
				autoShow: false
			}
		});	
	}
}

//拦截跳转
function activetyUrl(btnurl, id) {

	var nw = plus.webview.create(btnurl, id);
	nw.show();
	nw.overrideUrlLoading({
		//                  mode: 'reject',   //全部拦截
		mode: 'reject', //全部不拦截
		match: '.*\duobao1001.com/.*' //  设置不生效
	}, function(e) {
		//      alert(JSON.stringify(e));
		var actUrl = e.url;
		var activityType = actUrl.substring(28, 29);
		ACTIVITY(activityType, btnurl);

		console.log('reject url: ' + e.url);
	});

}

//创建活动
function createActivityPages(extras) {

	var styles = {};
	styles.background = "transparent";
	styles.bottom = "0";

	var activityHtml = plus.webview.create('../../html/activity/bonus-activity.html', 'bonus-activity', styles, extras)

	activityHtml.show();
}

//事件点活动

function eventPointActivity(eventPointCode, dealMoney, orderid) {
	var shutUrl = null;
	var bgImg = null;
	var buttonImg1 = null;
	var buttonUrl1 = null;
	var buttonImg2 = null;
	var buttonUrl2 = null;

	mui.ajaxPost(FETCHACTIVITIES, {
			eventPointCode: eventPointCode,
			dealMoney: dealMoney,
			orderId: orderid
		}, function success(data) {

			if(data.status == "1") {
				if(data.data.length > 0) {
					if(data.data[0].bgImg) {
						var extras = {};
						extras.shutUrl = data.data[0].shutUrl;
						extras.bgImg = data.data[0].bgImg;

						if(data.data[0].buttonImg1) {
							extras.buttonImg1 = data.data[0].buttonImg1;
							extras.buttonUrl1 = data.data[0].buttonUrl1;

						} else {
							extras.buttonImg1 = null;
							extras.buttonUrl1 = null;
						}

						if(data.data[0].buttonImg2) {
							extras.buttonImg2 = data.data[0].buttonImg2;
							extras.buttonUrl2 = data.data[0].buttonUrl2;

						} else {
							extras.buttonImg2 = null;
							extras.buttonUrl2 = null;
						}
					} else {
						extras.shutUrl = null;
						extras.bgImg = null;

					}
					createActivityPages(extras);
				}

			} else if(data.status == "0") {
				//						mui.toast(data.msg);

			} else {
				//						mui.toast(data.msg);

			}
		},
		function error(err) {

		});

};

//yydb type=7时调用

function eventPointActivityType7(obj) {
	var shutUrl = null;
	var bgImg = null;
	var buttonImg1 = null;
	var buttonUrl1 = null;
	var buttonImg2 = null;
	var buttonUrl2 = null;

	mui.ajaxPost(FETCHACTIVITIES, obj, function success(data) {

		if(data.status == "1") {

			if(data.data.length > 0) {
				if(data.data[0].bgImg) {

					var extras = {};

					extras.shutUrl = data.data[0].shutUrl;
					extras.bgImg = data.data[0].bgImg;

					if(data.data[0].buttonImg1) {
						extras.buttonImg1 = data.data[0].buttonImg1;
						extras.buttonUrl1 = data.data[0].buttonUrl1;

					} else {
						extras.buttonImg1 = null;
						extras.buttonUrl1 = null;
					}

					if(data.data[0].buttonImg2) {
						extras.buttonImg2 = data.data[0].buttonImg2;
						extras.buttonUrl2 = data.data[0].buttonUrl2;

					} else {
						extras.buttonImg2 = null;
						extras.buttonUrl2 = null;
					}

				} else {
					extras.shutUrl = null;
					extras.bgImg = null;

				}
				createActivityPages(extras);
			} else {
				var ws = plus.webview.currentWebview();
				plus.webview.close(ws);

			}

		} else if(data.status == "0") {
			mui.toast(data.msg);
			var ws = plus.webview.currentWebview();
			plus.webview.close(ws);
		} else {
			mui.toast(data.msg);
			var ws = plus.webview.currentWebview();
			plus.webview.close(ws);
		}

	}, function error(err) {});

};