// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
///传入的Data是时间格式
function dateStrFormat(date, format) {
	var trueData = parseInt(date);
	return dateFormat(trueData,format);
}
function dateFormat(date, format) {

  	date = new Date(date);
  	var map = {
  		"M": date.getMonth() + 1, //月份   
  		"d": date.getDate(), //日   
  		"h": date.getHours(), //小时   
  		"m": date.getMinutes(), //分   
  		"s": date.getSeconds(), //秒   
  		"q": Math.floor((date.getMonth() + 3) / 3), //季度   
  		"S": date.getMilliseconds() //毫秒   
  	};

  	format = format.replace(/([yMdhmsqS])+/g, function(all, t) {
  		var v = map[t];
  		if(v !== undefined) {
  			if(all.length > 1) {
  				v = '0' + v;
  				v = v.substr(v.length - 2);
  			}
  			return v;
  		} else if(t === 'y') {
  			return(date.getFullYear() + '').substr(4 - all.length);
  		}
  		return all;
  	});
  	return format;
 }
//获取几天前，几小时前，刚刚
function getDateDiff(dateTimeStamp){
	var minute = 1000 * 60;
	var hour = minute * 60;
	var day = hour * 24;
	var halfamonth = day * 15;
	var month = day * 30;
	var now = new Date().getTime();
	var diffValue = now - dateTimeStamp;
	if(diffValue < 0){return;}
	var monthC =diffValue/month;
	var weekC =diffValue/(7*day);
	var dayC =diffValue/day;
	var hourC =diffValue/hour;
	var minC =diffValue/minute;
	if(monthC>=1){
		result="" + parseInt(monthC) + "月前";
	}
	else if(weekC>=1){
		result="" + parseInt(weekC) + "周前";
	}
	else if(dayC>=1){
		result=""+ parseInt(dayC) +"天前";
	}
	else if(hourC>=1){
		result=""+ parseInt(hourC) +"小时前";
	}
	else if(minC>=1){
		result=""+ parseInt(minC) +"分钟前";
	}else
	result="刚刚";
	return result;
}