var addressId; //地址编号,不能为空
var oldUserNameValue;
var oldTelePhoneValue;
var oldCityPickerValue;
var oldDetailAddressValue;

var newUserNameValue;
var newTelePhoneValue;
var newCityPickerValue;
var newDetailAddressValue;

var newName = null; //新的收货人地址,可以为空， 为空的话就不会修改
var newMobile = null; //新的收货人手机号,可以为空， 为空的话就不会修改
var newProvince = null; //新的省份信息,可以为空， 为空的话就不会修改
var newCity = null; //新的城市信息,可以为空， 为空的话就不会修改
var newStreet = null; //新的区域和街道信息,可以为空， 为空的话就不会修改

mui.init();
//地区
mui.ready(function() {
	var cityPicker = new mui.PopPicker({
		layer: 2
	});
	cityPicker.setData(cityData);
	var showCityPickerButton = document.getElementById('showCityPicker');
	var CityPicker = document.getElementById("CityPicker");
	
	
	showCityPickerButton.addEventListener('tap', function(event) {
		cityPicker.show(function(items) {
			deceleration = items[0].text + items[1].text;
			CityPicker.value = deceleration;
			newProvince = items[0].text;
			newCity = items[1].text;

		});
	}, false);

	CityPicker.addEventListener('focus', function(event) {
		cityPicker.show(function(items) {
			deceleration = items[0].text + items[1].text;
			CityPicker.value = deceleration;
			newProvince = items[0].text;
			newCity = items[1].text;

		});
	}, false);
	
})

//vue查询数据渲染
var getAddressVue = new Vue({
	el: "#getAddress",
	data: {
		currentAddress: {
			"province": "",
			"city": ""
		}
	},
	computed: {
		provinceCity: function() {
			return this.currentAddress.province + this.currentAddress.city
		}
	}
})

//查询当前id当前地址

var IP = GETADDRESS;
var addressId = localStorage.getItem('addressId');

getAddress(IP, addressId)

//  查询当前id地址函数
function getAddress(IP, addressId) {
	mui.ajaxPost(IP, {
		addressId: addressId //： 收货人地址,不能为空

	}, function success(data) {
		if(data.status == '1') {
			getAddressVue.currentAddress = data.data;
			getAddressVue.$nextTick(function() {

				oldUserNameValue = document.getElementById('userName').value;
				oldTelePhoneValue = document.getElementById('telePhone').value;
				oldCityPickerValue = document.getElementById('CityPicker').value;
				oldDetailAddressValue = document.getElementById('detailAddress').value;

			})

		}
	}, function error(data) {
		mui.toast("网络出错了")
	});
}

// 去掉字符串前后所有空格
function Trim(str) {
	return str.replace(/(^\s*)|(\s*$)/g, "");
}

function getNewAll() {

	newUserNameValue = document.getElementById('userName').value;
	newTelePhoneValue = document.getElementById('telePhone').value;
	newCityPickerValue = document.getElementById('CityPicker').value;
	newDetailAddressValue = document.getElementById('detailAddress').value;

	newUserNameValue = Trim(newUserNameValue);
	newTelePhoneValue = Trim(newTelePhoneValue);
	newCityPickerValue = Trim(newCityPickerValue);
	newDetailAddressValue = Trim(newDetailAddressValue);

	//	姓名验证
	if(newUserNameValue == '') {

		newName = oldUserNameValue;

	} else {
		if(newUserNameValue.length >= 2 && newUserNameValue.length <= 15) {

			newName = newUserNameValue;

		} else {
			mui.toast('名字最少2个字，最多15个字');
			return false;
		}

	}

	//	手机号验证

	var patrn = /^(13[0123456789]|147|15[012356789]|18[012356789])\d{8}$/;
	if(newTelePhoneValue == '') {
		newMobile = oldTelePhoneValue

	} else {
		if(patrn.test(newTelePhoneValue)) {
			newMobile = newTelePhoneValue;
		} else {
			mui.toast('请输入正确的电话号码');
			return false;
		}
	}

	//	详细地址验证
	if(newDetailAddressValue == '') {
		newStreet = oldDetailAddressValue;
	} else {

		if(newDetailAddressValue.length >= 5 && newDetailAddressValue.length <= 60) {

			newStreet = newDetailAddressValue

		} else {
			mui.toast('地址最少5个字，最多60个字');
			return false;
		}

	}

}

mui('#header').on('tap', 'button', function() {
	getNewAll()

	var IP = UPDATEADDRESS;

	console.log(newUserNameValue)
	console.log(newTelePhoneValue)
	console.log(newCityPickerValue)
	console.log(newDetailAddressValue)

	updateAddress(IP, newName, newMobile, newProvince, newCity, newStreet);

	setTimeout(function() {
		mui.openWindow({
			url: 'receiving-address.html',
			id: 'receiving-address.html'
		})
	}, 500)
})

function updateAddress(IP, newName, newMobile, newProvince, newCity, newStreet) {
	mui.ajaxPost(IP, {
			addressId: addressId, //地址编号,不能为空
			newName: newName, //新的收货人地址,可以为空， 为空的话就不会修改
			newMobile: newMobile, //新的收货人手机号,可以为空， 为空的话就不会修改
			newProvince: newProvince, //新的省份信息,可以为空， 为空的话就不会修改
			newCity: newCity, //新的城市信息,可以为空， 为空的话就不会修改
			newStreet: newStreet //新的区域和街道信息,可以为空， 为空的话就不会修改
		}, function success(data) {
			if(data.status == '1') {
			mui.toast("修改成功！！")
			}else{
				mui.toast(data.msg);
			}
		}, function error(data) {
			mui.toast("网络出错了")
		}

	)
}